<?php 
function ocdi_import_files() {
  return array(
    array(
      'import_file_name'           => '云端工程woocommerce商城演示数据',
      'import_file_url'            => 'http://data.themepark.com.cn/2018/cloudengineering/w/cloudengineering-data.xml',
      'import_widget_file_url'     => 'http://data.themepark.com.cn/2018/cloudengineering/w/cloudengineering-data.wie',
      'import_customizer_file_url' => 'http://data.themepark.com.cn/2018/cloudengineering/w/cloudengineering-data.dat',
    
      'import_preview_image_url'   => 'http://data.themepark.com.cn/2018/cloudengineering/cloudengineering-data.jpg',
      'import_notice'              => __( '导入数据之后将和演示数据一致.', 'http://demo.themepark.com.cn/cloudengineering/' ),
      'preview_url'                => 'http://demo.themepark.com.cn/cloudengineering/',
    ),

  );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );


function no_nav_id($nav_name){
	
	$menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
	
	foreach ( $menus as $menu ) {
		if($nav_name=== $menu->name){
			
			$nav_id=$menu->term_id ;
		}
		
	}
	return $nav_id;	
}


function upload_nav_id(){	
	update_option("mytheme_top_languge_nav",no_nav_id("顶部右侧菜单"));
   // update_option("mytheme_footer_sever_nav2",no_nav_id("底部双层菜单"));
	//update_option("mytheme_footer_sever_yl",no_nav_id("友情链接"));	
	
	
	$locations = get_theme_mod( 'nav_menu_locations' );
    $locations['header-menu'] = no_nav_id("菜单导航");
	$locations['cat-menu'] = no_nav_id("折叠菜单（示例）");
	
	
	set_theme_mod ( 'nav_menu_locations', $locations );
	
}




function my_export_option_keys( $keys ) {
    $keys[] = 'mytheme_shaixuancat';
    $keys[] = 'mytheme_tags_moshi';
	$keys[] = 'cat_mr_modle';
	$keys[] = 'cat_mr_modle2';
	$keys[] = 'cat_mr_modle3';
	$keys[] = 'hdp';
	$keys[] = 'hdp2';
	$keys[] = 'hdp_h';
	$keys[] = 'c_hdp';
	$keys[] = 'c_hdp2';
	$keys[] = 'c_hdp_h';
	$keys[] ='themepark_theme_widget_id';
	$keys[] ='themepark_theme_widget';
	$cats = get_terms( array( 'taxonomy' => 'category','hide_empty' => false,));
	foreach( $cats AS $catr ) { 
		 $term_id=$catr->term_id;

	    $keys[] = 'cat_modle_'. $term_id;
		$keys[] = 'cat_modle2_'. $term_id;
		$keys[] = 'cat_modle3_'. $term_id;
		$keys[] = 'cat_modle4_'. $term_id;
		$keys[] = 'cat_mr_jic_'. $term_id;
		$keys[] = 'c_hdp_h_'. $term_id;
		$keys[] = 'catce_'. $term_id;
		$keys[] = 'hdp2_'. $term_id;
		$keys[] = 'hdp_'. $term_id;
		

	}

	
    return $keys;
}





add_filter( 'cei_export_option_keys', 'my_export_option_keys' );



